/*---------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/
var Handles = (function () {
    function Handles() {
        this.START_HANDLE = 1000;
        this._nextHandle = this.START_HANDLE;
        this._handleMap = [];
    }
    Handles.prototype.Reset = function () {
        this._nextHandle = this.START_HANDLE;
        this._handleMap = [];
    };
    Handles.prototype.Create = function (value) {
        var handle = this._nextHandle++;
        this._handleMap[handle] = value;
        return handle;
    };
    Handles.prototype.Get = function (handle, dflt) {
        var v = this._handleMap[handle];
        if (v) {
            return v;
        }
        return dflt;
    };
    return Handles;
})();
exports.Handles = Handles;
//# sourceMappingURL=handles.js.map