/*---------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/
"use strict";define("vs/languages/typescript/common/features/tokenization",["require","exports","vs/base/common/strings","vs/base/common/arrays","vs/base/common/collections","vs/editor/common/modes","vs/editor/common/modes/supports","vs/languages/typescript/common/lib/typescriptServices","vs/editor/common/modes/abstractState"],function(e,t,n,r,o,i,s,a,c){function l(e,t){var n=a.createClassifier(),r=t===h.TypeScript?f:v,o=t===h.TypeScript?g:b;return{shouldGenerateEmbeddedModels:!1,getInitialState:function(){return new p(e,null,t,0,!1)},tokenize:function(e,t,i,s){return u(r,o,n,t,e,i,s)}}}function u(e,t,o,c,l,u){function f(e,t,n){(0===g.tokens.length||void 0!==n||r.tail(g.tokens).type!==t)&&g.tokens.push(new s.Token(e,t,n||i.Bracket.None))}void 0===u&&(u=0);var g={tokens:[],actualStopOffset:u+l.length,endState:new p(c.getMode(),c.getStateData(),c.language,0,!1),modeTransitions:[{startIndex:u,mode:c.getMode()}]},v=c.language===h.TypeScript;if(!v&&d(c,u,l,f))return g;var b=o.getClassificationsForLine(l,c.eolState,!0),y=0;g.endState.eolState=b.finalLexState,g.endState.inJsDocComment=1===b.finalLexState&&(c.inJsDocComment||/\/\*\*.*$/.test(l));for(var w=0,_=b.entries;w<_.length;w++){var k,x=_[w],S=i.Bracket.None;if(x.classification===a.TokenClass.Punctuation){var T=l.charCodeAt(y);S=m[T]||i.Bracket.None,k=e[T]||t[x.classification],f(y+u,k,S)}else x.classification===a.TokenClass.Comment?g.endState.inJsDocComment||/\/\*\*.*\*\//.test(l.substr(y,x.length))?f(y+u,v?"comment.doc.ts":"comment.doc.js",i.Bracket.None):f(y+u,v?"comment.ts":"comment.js",i.Bracket.None):f(y+u,t[x.classification]||n.empty,void 0);y+=x.length}return g}function d(e,t,n,r){return 0===n.indexOf("#!")?(r(t,"comment.shebang",i.Bracket.None),!0):void 0}!function(e){e[e.TypeScript=0]="TypeScript",e[e.EcmaScript5=1]="EcmaScript5"}(t.Language||(t.Language={}));var h=t.Language;t.createTokenizationSupport=l;var p=function(){function e(e,t,n,r,o){this._mode=e,this._state=t,this.language=n,this.eolState=r,this.inJsDocComment=o}return e.prototype.clone=function(){return new e(this._mode,c.AbstractState.safeClone(this._state),this.language,this.eolState,this.inJsDocComment)},e.prototype.equals=function(t){return t===this?!0:t&&t instanceof e?this.eolState!==t.eolState?!1:this.inJsDocComment!==t.inJsDocComment?!1:c.AbstractState.safeEquals(this._state,t._state):!1},e.prototype.getMode=function(){return this._mode},e.prototype.tokenize=function(){throw new Error},e.prototype.getStateData=function(){return this._state},e.prototype.setStateData=function(e){this._state=e},e}(),m=o.createNumberDictionary();m["(".charCodeAt(0)]=i.Bracket.Open,m[")".charCodeAt(0)]=i.Bracket.Close,m["{".charCodeAt(0)]=i.Bracket.Open,m["}".charCodeAt(0)]=i.Bracket.Close,m["[".charCodeAt(0)]=i.Bracket.Open,m["]".charCodeAt(0)]=i.Bracket.Close;var f=o.createNumberDictionary();f["(".charCodeAt(0)]="delimiter.parenthesis.ts",f[")".charCodeAt(0)]="delimiter.parenthesis.ts",f["{".charCodeAt(0)]="delimiter.bracket.ts",f["}".charCodeAt(0)]="delimiter.bracket.ts",f["[".charCodeAt(0)]="delimiter.array.ts",f["]".charCodeAt(0)]="delimiter.array.ts";var g=o.createNumberDictionary();g[a.TokenClass.Identifier]="identifier.ts",g[a.TokenClass.Keyword]="keyword.ts",g[a.TokenClass.Operator]="delimiter.ts",g[a.TokenClass.Punctuation]="delimiter.ts",g[a.TokenClass.NumberLiteral]="number.ts",g[a.TokenClass.RegExpLiteral]="regexp.ts",g[a.TokenClass.StringLiteral]="string.ts";var v=o.createNumberDictionary();v["(".charCodeAt(0)]="delimiter.parenthesis.js",v[")".charCodeAt(0)]="delimiter.parenthesis.js",v["{".charCodeAt(0)]="delimiter.bracket.js",v["}".charCodeAt(0)]="delimiter.bracket.js",v["[".charCodeAt(0)]="delimiter.array.js",v["]".charCodeAt(0)]="delimiter.array.js";var b=o.createNumberDictionary();b[a.TokenClass.Identifier]="identifier.js",b[a.TokenClass.Keyword]="keyword.js",b[a.TokenClass.Operator]="delimiter.js",b[a.TokenClass.Punctuation]="delimiter.js",b[a.TokenClass.NumberLiteral]="number.js",b[a.TokenClass.RegExpLiteral]="regexp.js",b[a.TokenClass.StringLiteral]="string.js"});var __decorate=this&&this.__decorate||function(e,t,n,r){if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)return Reflect.decorate(e,t,n,r);switch(arguments.length){case 2:return e.reduceRight(function(e,t){return t&&t(e)||e},t);case 3:return e.reduceRight(function(e,r){return r&&r(t,n),void 0},void 0);case 4:return e.reduceRight(function(e,r){return r&&r(t,n,e)||e},r)}},__param=this&&this.__param||function(e,t){return function(n,r){t(n,r,e)}};define("vs/languages/typescript/common/features/quickFixMainActions",["require","exports","vs/nls!vs/languages/javascript/common/javascript","vs/base/common/strings","vs/base/common/winjs.base","vs/base/common/paths","vs/platform/files/common/files","vs/platform/request/common/request","vs/platform/workspace/common/workspace"],function(e,t,n,r,o,i,s,a,c){var l=function(){function e(e,t,n){this._requestService=e,this._fileService=t,this._contextService=n}return e.prototype.evaluate=function(e,t,n){var r=JSON.parse(n);switch(r.type){case"typedefinitions":return this.evaluateAddTypeDefinitionProposal(r.name,e)}return o.Promise.as(null)},e.prototype.evaluateAddTypeDefinitionProposal=function(e,t){var o=this,s="/typings/"+e,a=this._contextService.toResource(s),c="/jsconfig.json",l=this._contextService.toResource(c),u=this._contextService.toWorkspaceRelativePath(t);u||(u=t.toString());{var d=r.rtrim(i.dirname(u),"/");i.relative(d,s)}return this._fileService.resolveFile(a).then(function(){return{message:n.localize("vs_languages_typescript_common_features_quickFixMainActions",0,s)}},function(){var t="https://raw.githubusercontent.com/borisyankov/DefinitelyTyped/master/"+e;return o._requestService.makeRequest({url:t,followRedirects:5}).then(function(e){return o._fileService.createFile(a,e.responseText).then(function(){return o._fileService.resolveFile(l).then(function(){return{message:n.localize("vs_languages_typescript_common_features_quickFixMainActions",1,s)}},function(){return{message:n.localize("vs_languages_typescript_common_features_quickFixMainActions",2,s)}})},function(e){return{message:n.localize("vs_languages_typescript_common_features_quickFixMainActions",3,s,e.toString())}})},function(e){return{message:n.localize("vs_languages_typescript_common_features_quickFixMainActions",4,t,e.responseText)}})})},e=__decorate([__param(0,a.IRequestService),__param(1,s.IFileService),__param(2,c.IWorkspaceContextService)],e)}();t.QuickFixMainActions=l}),define("vs/languages/typescript/common/typescript",["require","exports","vs/base/common/winjs.base","vs/platform/platform","vs/base/common/uri"],function(e,t,n,r,o){function i(e){return"string"==typeof e?0===e.indexOf("ts://defaultlib"):"ts"===e.scheme&&"defaultlib"===e.authority}!function(e){e[e.Changed=0]="Changed",e[e.Added=1]="Added",e[e.Removed=2]="Removed"}(t.ChangeKind||(t.ChangeKind={}));var s=t.ChangeKind;t.defaultLib=o.create("ts","defaultlib","/vs/text!vs/languages/typescript/common/lib/lib.d.ts"),t.defaultLibES6=o.create("ts","defaultlib","/vs/text!vs/languages/typescript/common/lib/lib.es6.d.ts"),t.isDefaultLib=i,t.virtualProjectResource=o.create("ts","projects","/virtual/1");var a=function(){function e(){this._needsProjectUpdate=!1,this._fileChanges=[],this._projectChange={kind:s.Changed,resource:t.virtualProjectResource,files:[],options:void 0}}return e.prototype.setConsumer=function(e){this._consumer=e},e.prototype.resolveProjects=function(){var e=[];return this._fileChanges.length&&(e.push(this._consumer.acceptFileChanges(this._fileChanges.slice(0))),this._fileChanges.length=0),this._needsProjectUpdate&&(e.push(this._consumer.acceptProjectChanges([this._projectChange])),this._needsProjectUpdate=!1),n.Promise.join(e)},e.prototype.resolveFiles=function(){return void 0},e.prototype.addExtraLib=function(e,t){var n=t?o.file(t):o.create("extralib",void 0,Date.now().toString());this._needsProjectUpdate=!0,this._projectChange.files.push(n),this._fileChanges.push({kind:s.Added,resource:n,content:e})},e.prototype.setCompilerOptions=function(e){this._needsProjectUpdate=!0,this._projectChange.options=e},e}();t.DefaultProjectResolver=a;var c;!function(e){function t(t,n){e.ProjectResolver.addExtraLib(t,n)}function n(t){e.ProjectResolver.setCompilerOptions(t)}e.ProjectResolver=new a,e.addExtraLib=t,e.setCompilerOptions=n}(c=t.Defaults||(t.Defaults={}));var l;!function(e){function t(e){o=e}function n(){return o}e.Identifier="typescript",r.Registry.add(e.Identifier,e);var o;e.setProjectResolver=t,e.getProjectResolver=n}(l=t.Extensions||(t.Extensions={}))});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var r in t)t.hasOwnProperty(r)&&(e[r]=t[r]);n.prototype=t.prototype,e.prototype=new n};define("vs/languages/typescript/common/typescriptMode",["require","exports","vs/nls!vs/languages/javascript/common/javascript","vs/base/common/winjs.base","vs/base/common/uri","vs/editor/common/common","vs/editor/common/modes","vs/base/common/lifecycle","vs/base/common/async","vs/editor/common/modes/supports","vs/languages/typescript/common/features/tokenization","vs/languages/typescript/common/features/quickFixMainActions","vs/languages/typescript/common/typescript","vs/editor/common/modes/abstractMode","vs/platform/thread/common/threadService","vs/platform/instantiation/common/descriptors","vs/platform/thread/common/thread","vs/editor/common/modes/supports/onEnter"],function(e,t,n,r,o,i,s,a,c,l,u,d,h,p,m,f,g,v){var b=function(){function e(e,t){this._listener=Object.create(null),this._lastValidationReq=0,this._modelService=e.modelService,this._mode=t,this._validation=new c.RunOnceScheduler(this._doValidate.bind(this),750),this._modelService&&(this._modelService.onModelAdded.add(this._onModelAdded,this),this._modelService.onModelRemoved.add(this._onModelRemoved,this),this._modelService.getModels().forEach(this._onModelAdded,this))}return e.prototype.dispose=function(){this._validation.dispose()},e.prototype.validateOpen=function(){this._scheduleValidation()},e.prototype._scheduleValidation=function(e){this._lastValidationReq+=1,this._lastChangedResource=e,this._validation.schedule()},e.prototype._doValidate=function(){var e=this,t=[];this._lastChangedResource&&t.push(this._lastChangedResource);for(var n in this._listener)this._lastChangedResource&&n===this._lastChangedResource.toString()||t.push(o.parse(n));var i=this._lastValidationReq,s=c.sequence(t.map(function(t){return function(){return e._modelService.getModel(t)?i===e._lastValidationReq?e._mode.performSemanticValidation(t):void 0:r.Promise.as(void 0)}}));s.done(void 0,function(e){return console.warn(e)})},e.prototype._onModelAdded=function(e){var t=this;if(this._mode._shouldBeValidated(e)){var n,r;n=function(){t._scheduleValidation(e.getAssociatedResource())},r=e.addListener(i.EventType.ModelContentChanged2,function(){return n()}),this._listener[e.getAssociatedResource().toString()]=r,n()}},e.prototype._onModelRemoved=function(e){var t=this._listener[e.getAssociatedResource().toString()];t&&(t(),delete this._listener[e.getAssociatedResource().toString()])},e}(),y=function(t){function o(e,n,o){var i=this;if(t.call(this,e,n,o,f.AsyncDescriptor.create("vs/languages/typescript/common/typescriptWorker2","TypeScriptWorker2")),this._disposables=[],this._telemetryService=e.telemetryService,this._threadService&&this._threadService.isInMainThread){this._semanticValidator=e.instantiationService.createInstance(b,this),this._disposables.push(this._semanticValidator);var a=this._getProjectResolver();if(!a)throw new Error("missing project resolver!");this._projectResolver=a instanceof f.AsyncDescriptor?e.instantiationService.createInstance(a,this).then(void 0,function(e){return console.error(e),h.Defaults.ProjectResolver}):r.TPromise.as(a),this._projectResolver=this._projectResolver.then(function(e){return e.setConsumer(i),e})}this.navigateTypesSupport=this,this.extraInfoSupport=this,this.formattingSupport=this,this.quickFixSupport=this,this.logicalSelectionSupport=this,this.outlineSupport=this,this.emitOutputSupport=this,this.codeLensSupport=this,this.renameSupport=this,this.tokenizationSupport=u.createTokenizationSupport(this,u.Language.TypeScript),this.electricCharacterSupport=new l.BracketElectricCharacterSupport(this,{brackets:[{tokenType:"delimiter.bracket.ts",open:"{",close:"}",isElectric:!0},{tokenType:"delimiter.array.ts",open:"[",close:"]",isElectric:!0},{tokenType:"delimiter.parenthesis.ts",open:"(",close:")",isElectric:!0}],docComment:{scope:"comment.doc",open:"/**",lineStart:" * ",close:" */"}}),this.referenceSupport=new l.ReferenceSupport(this,{tokens:["identifier.ts"],findReferences:function(e,t,n){return i.findReferences(e,t,n)}}),this.declarationSupport=new l.DeclarationSupport(this,{tokens:["identifier.ts","string.ts","attribute.value.vs"],findDeclaration:function(e,t){return i.findDeclaration(e,t)}}),this.parameterHintsSupport=new l.ParameterHintsSupport(this,{triggerCharacters:["(",","],excludeTokens:["string.ts"],getParameterHints:function(e,t){return i.getParameterHints(e,t)}}),this.characterPairSupport=new l.CharacterPairSupport(this,{autoClosingPairs:[{open:"{",close:"}"},{open:"[",close:"]"},{open:"(",close:")"},{open:'"',close:'"',notIn:["string"]},{open:"'",close:"'",notIn:["string","comment"]},{open:"`",close:"`"}]}),this.suggestSupport=new l.SuggestSupport(this,{triggerCharacters:["."],excludeTokens:["string","comment","number"],sortBy:[{type:"reference",partSeparator:"/"}],suggest:function(e,t){return i.suggest(e,t)},getSuggestionDetails:function(e,t,n){return i.getSuggestionDetails(e,t,n)}}),this.onEnterSupport=new v.OnEnterSupport(this.getId(),{brackets:[{open:"{",close:"}"},{open:"[",close:"]"},{open:"(",close:")"}],regExpRules:[{beforeText:/^\s*\/\*\*(?!\/)([^\*]|\*(?!\/))*$/,afterText:/^\s*\*\/$/,action:{indentAction:s.IndentAction.IndentOutdent,appendText:" * "}},{beforeText:/^\s*\/\*\*(?!\/)([^\*]|\*(?!\/))*$/,action:{indentAction:s.IndentAction.None,appendText:" * "}},{beforeText:/^(\t|(\ \ ))*\ \*\ ([^\*]|\*(?!\/))*$/,action:{indentAction:s.IndentAction.None,appendText:"* "}},{beforeText:/^(\t|(\ \ ))*\ \*\/\s*$/,action:{indentAction:s.IndentAction.None,removeText:1}}]})}return __extends(o,t),o.prototype.dispose=function(){this._disposables=a.disposeAll(this._disposables)},o.prototype._shouldBeValidated=function(e){return e.getMode()===this||/\.ts$/.test(e.getAssociatedResource().fsPath)},o.prototype._getProjectResolver=function(){return h.Extensions.getProjectResolver()||h.Defaults.ProjectResolver},o.prototype.acceptProjectChanges=function(e){return this._semanticValidator.validateOpen(),this._doAcceptProjectChanges(e)},o.prototype._doAcceptProjectChanges=function(e){return this._worker(function(t){return t.acceptProjectChanges(e)})},o.prototype.acceptFileChanges=function(e){for(var t=this,o=0,i=0;i<e.length;i++){var s=e[i];s.content&&(o+=s.content.length)}return this._canAcceptFileChanges(o).then(function(o){return o===!1?r.TPromise.wrapError(n.localize("vs_languages_typescript_common_typescriptMode",0)):t._doAcceptFileChanges(e).then(function(e){return t._semanticValidator.validateOpen(),e})})},o.prototype._canAcceptFileChanges=function(e){return this._worker(function(t){return t.canAcceptFileChanges(e)})},o.prototype._doAcceptFileChanges=function(e){return this._worker(function(t){return t.acceptFileChanges(e)})},o.prototype._defaultLib=function(){var t=this;if(!this._defaultLibPromise){var n=[],o=new r.TPromise(function(t,n){return e([h.defaultLib.path.substr(1)],t,n)}).then(function(e){n.push({kind:h.ChangeKind.Added,resource:h.defaultLib,content:e})}),i=new r.TPromise(function(t,n){return e([h.defaultLibES6.path.substr(1)],t,n)}).then(function(e){n.push({kind:h.ChangeKind.Added,resource:h.defaultLibES6,content:e})});this._defaultLibPromise=r.TPromise.join([o,i]).then(function(){return t.acceptFileChanges(n)})}return new c.ShallowCancelThenPromise(this._defaultLibPromise)},o.prototype._syncProjects=function(){var e=this;return this._projectResolver?this._defaultLib().then(function(){return e._projectResolver}).then(function(e){return e.resolveProjects()}):void 0},o.prototype.configure=function(e){var n=this,r=t.prototype.configure.call(this,e);return this._semanticValidator&&r.then(function(e){return e&&n._semanticValidator.validateOpen()}),r},o.prototype._worker=function(e){return t.prototype._worker.call(this,e)},o.prototype.getCommentsConfiguration=function(){return{lineCommentTokens:["//"],blockCommentStartToken:"/*",blockCommentEndToken:"*/"}},o.prototype._pickAWorkerToValidate=function(){return this._worker(function(e){return e.enableValidator()})},o.prototype.performSemanticValidation=function(e){var t=this;return this.doValidateSemantics(e).then(function(e){return e?t.getMissingFiles().then(function(e){return e?t._projectResolver.then(function(t){return t.resolveFiles(e)}):void 0}):void 0})},o.prototype.doValidateSemantics=function(e){return this._worker(function(t){return t.doValidateSemantics(e)})},o.prototype.getMissingFiles=function(){return this._worker(function(e){return e.getMissingFiles()})},o.prototype.getOutline=function(e){return this._worker(function(t){return t.getOutline(e)})},o.prototype.findOccurrences=function(e,t,n){return void 0===n&&(n=!1),this._worker(function(r){return r.findOccurrences(e,t,n)})},o.prototype.suggest=function(e,t){return this._worker(function(n){return n.suggest(e,t)})},o.prototype.getSuggestionDetails=function(e,t,n){return this._worker(function(r){return r.getSuggestionDetails(e,t,n)})},o.prototype.getParameterHints=function(e,t){return this._worker(function(n){return n.getParameterHints(e,t)})},o.prototype.getEmitOutput=function(e,t){return void 0===t&&(t=void 0),this._worker(function(n){return n.getEmitOutput(e,t)})},o.prototype.getWordDefinition=function(){return o.WORD_DEFINITION},o.prototype.findReferences=function(e,t,n){return this._worker(function(r){return r.findReferences(e,t,n)})},Object.defineProperty(o.prototype,"filter",{get:function(){return["identifier.ts","string.ts"]},enumerable:!0,configurable:!0}),o.prototype.rename=function(e,t,n){return this._worker(function(r){return r.rename(e,t,n)})},o.prototype.getNavigateToItems=function(e){return this._worker(function(t){return t.getNavigateToItems(e)})},o.prototype.runQuickFixAction=function(e,t,n){var r=this,o=this._instantiationService.createInstance(d.QuickFixMainActions);return o.evaluate(e,t,n).then(function(o){return o?o:r.runQuickFixActionInWorker(e,t,n)})},o.prototype.runQuickFixActionInWorker=function(e,t,n){return this._worker(function(r){return r.runQuickFixAction(e,t,n)})},o.prototype.getQuickFixes=function(e,t){return this._worker(function(n){return n.getQuickFixes(e,t)})},o.prototype.getRangesToPosition=function(e,t){return this._worker(function(n){return n.getRangesToPosition(e,t)})},o.prototype.findDeclaration=function(e,t){return this._worker(function(n){return n.findDeclaration(e,t)})},o.prototype.computeInfo=function(e,t){return this._worker(function(n){return n.computeInfo(e,t)})},Object.defineProperty(o.prototype,"autoFormatTriggerCharacters",{get:function(){return[";","}","\n"]},enumerable:!0,configurable:!0}),o.prototype.formatDocument=function(e,t){return this._worker(function(n){return n.formatDocument(e,t)})},o.prototype.formatRange=function(e,t,n){return this._worker(function(r){return r.formatRange(e,t,n)})},o.prototype.formatAfterKeystroke=function(e,t,n,r){return this._worker(function(o){return o.formatAfterKeystroke(e,t,n,r)})},o.prototype.enableCodeLens=function(){return this._options&&this._options.referenceInfos===!0},o.prototype.findCodeLensSymbols=function(e){return this._worker(function(t){return t.findCodeLensSymbols(e)})},o.prototype.findCodeLensReferences=function(e,t){return this._worker(function(n){return n.findCodeLensReferences(e,t)})},o.$_doAcceptProjectChanges=m.AllWorkersAttr(o,o.prototype._doAcceptProjectChanges),o.$_canAcceptFileChanges=m.OneWorkerAttr(o,o.prototype._canAcceptFileChanges),o.$_doAcceptFileChanges=m.AllWorkersAttr(o,o.prototype._doAcceptFileChanges),o.$_pickAWorkerToValidate=m.OneWorkerAttr(o,o.prototype._pickAWorkerToValidate,o.prototype._syncProjects,g.ThreadAffinity.Group3),o.$doValidateSemantics=m.OneWorkerAttr(o,o.prototype.doValidateSemantics,o.prototype._syncProjects,g.ThreadAffinity.Group3),o.$getMissingFiles=m.OneWorkerAttr(o,o.prototype.getMissingFiles,o.prototype._syncProjects,g.ThreadAffinity.Group3),o.$getOutline=m.OneWorkerAttr(o,o.prototype.getOutline,o.prototype._syncProjects,g.ThreadAffinity.Group1),o.$findOccurrences=m.OneWorkerAttr(o,o.prototype.findOccurrences,o.prototype._syncProjects,g.ThreadAffinity.Group2),o.$suggest=m.OneWorkerAttr(o,o.prototype.suggest,o.prototype._syncProjects,g.ThreadAffinity.Group2),o.$getSuggestionDetails=m.OneWorkerAttr(o,o.prototype.getSuggestionDetails,o.prototype._syncProjects,g.ThreadAffinity.Group2),o.$getParameterHints=m.OneWorkerAttr(o,o.prototype.getParameterHints,o.prototype._syncProjects,g.ThreadAffinity.Group2),o.$getEmitOutput=m.OneWorkerAttr(o,o.prototype.getEmitOutput,o.prototype._syncProjects,g.ThreadAffinity.Group3),o.WORD_DEFINITION=p.createWordRegExp("$"),o.$findReferences=m.OneWorkerAttr(o,o.prototype.findReferences,o.prototype._syncProjects,g.ThreadAffinity.Group3),o.$rename=m.OneWorkerAttr(o,o.prototype.rename,o.prototype._syncProjects,g.ThreadAffinity.Group2),o.$getNavigateToItems=m.OneWorkerAttr(o,o.prototype.getNavigateToItems,o.prototype._syncProjects,g.ThreadAffinity.Group3),o.$runQuickFixActionInWorker=m.OneWorkerAttr(o,o.prototype.runQuickFixActionInWorker,o.prototype._syncProjects,g.ThreadAffinity.Group2),o.$getQuickFixes=m.OneWorkerAttr(o,o.prototype.getQuickFixes,o.prototype._syncProjects,g.ThreadAffinity.Group2),o.$getRangesToPosition=m.OneWorkerAttr(o,o.prototype.getRangesToPosition,o.prototype._syncProjects,g.ThreadAffinity.Group1),o.$findDeclaration=m.OneWorkerAttr(o,o.prototype.findDeclaration,o.prototype._syncProjects,g.ThreadAffinity.Group2),o.$computeInfo=m.OneWorkerAttr(o,o.prototype.computeInfo,o.prototype._syncProjects,g.ThreadAffinity.Group2),o.$formatDocument=m.OneWorkerAttr(o,o.prototype.formatDocument,o.prototype._syncProjects,g.ThreadAffinity.Group1),o.$formatRange=m.OneWorkerAttr(o,o.prototype.formatRange,o.prototype._syncProjects,g.ThreadAffinity.Group1),o.$formatAfterKeystroke=m.OneWorkerAttr(o,o.prototype.formatAfterKeystroke,o.prototype._syncProjects,g.ThreadAffinity.Group1),o.findCodeLensSymbols=m.OneWorkerAttr(o,o.prototype.findCodeLensSymbols,o.prototype._syncProjects,g.ThreadAffinity.Group1),o.findCodeLensReferences=m.OneWorkerAttr(o,o.prototype.findCodeLensReferences,o.prototype._syncProjects,g.ThreadAffinity.Group3),o}(p.AbstractMode);t.TypeScriptMode=y}),define("vs/languages/javascript/common/javascript.extensions",["require","exports","vs/platform/platform","vs/languages/typescript/common/typescript"],function(e,t,n,r){var o;!function(e){function t(t,n){e.ProjectResolver.addExtraLib(t,n)}function n(t){e.ProjectResolver.setCompilerOptions(t)}e.ProjectResolver=new r.DefaultProjectResolver,e.addExtraLib=t,e.setCompilerOptions=n}(o=t.Defaults||(t.Defaults={}));var i;!function(e){function t(e){o=e}function r(){return o}e.Identifier="javascript",n.Registry.add(e.Identifier,e);var o;e.setProjectResolver=t,e.getProjectResolver=r}(i=t.Extensions||(t.Extensions={}))});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var r in t)t.hasOwnProperty(r)&&(e[r]=t[r]);n.prototype=t.prototype,e.prototype=new n};define("vs/languages/javascript/common/javascript",["require","exports","vs/base/common/winjs.base","vs/languages/typescript/common/features/tokenization","vs/languages/typescript/common/typescriptMode","vs/editor/common/modes","vs/editor/common/modes/supports","vs/languages/javascript/common/javascript.extensions","vs/editor/common/modes/abstractMode","vs/platform/instantiation/common/descriptors","vs/editor/common/modes/supports/onEnter"],function(e,t,n,r,o,i,s,a,c,l,u){var d=function(t){function o(e,n,o){var a=this;t.call(this,e,n,o),this._workerDescriptor=l.AsyncDescriptor.create("vs/languages/javascript/common/javascriptWorker","JavaScriptWorker"),this.tokenizationSupport=r.createTokenizationSupport(this,r.Language.EcmaScript5),this.referenceSupport=new s.ReferenceSupport(this,{tokens:["identifier.js"],findReferences:function(e,t,n){return a.findReferences(e,t,n)}}),this.declarationSupport=new s.DeclarationSupport(this,{tokens:["identifier.js","string.js","attribute.value.vs"],findDeclaration:function(e,t){return a.findDeclaration(e,t)}}),this.parameterHintsSupport=new s.ParameterHintsSupport(this,{triggerCharacters:["(",","],excludeTokens:["string.js","string.escape.js"],getParameterHints:function(e,t){return a.getParameterHints(e,t)}}),this.electricCharacterSupport=new s.BracketElectricCharacterSupport(this,{brackets:[{tokenType:"delimiter.bracket.js",open:"{",close:"}",isElectric:!0},{tokenType:"delimiter.array.js",open:"[",close:"]",isElectric:!0},{tokenType:"delimiter.parenthesis.js",open:"(",close:")",isElectric:!0}],docComment:{scope:"comment.doc",open:"/**",lineStart:" * ",close:" */"}}),this.characterPairSupport=new s.CharacterPairSupport(this,{autoClosingPairs:[{open:"{",close:"}"},{open:"[",close:"]"},{open:"(",close:")"},{open:'"',close:'"',notIn:["string"]},{open:"'",close:"'",notIn:["string","comment"]}]}),this.onEnterSupport=new u.OnEnterSupport(this.getId(),{brackets:[{open:"(",close:")"},{open:"{",close:"}"},{open:"[",close:"]"}],regExpRules:[{beforeText:/^\s*\/\*\*(?!\/)([^\*]|\*(?!\/))*$/,afterText:/^\s*\*\/$/,action:{indentAction:i.IndentAction.IndentOutdent,appendText:" * "}},{beforeText:/^\s*\/\*\*(?!\/)([^\*]|\*(?!\/))*$/,action:{indentAction:i.IndentAction.None,appendText:" * "}},{beforeText:/^(\t|(\ \ ))*\ \*\ ([^\*]|\*(?!\/))*$/,action:{indentAction:i.IndentAction.None,appendText:"* "}},{beforeText:/^(\t|(\ \ ))*\ \*\/\s*$/,action:{indentAction:i.IndentAction.None,removeText:1}}]}),this.suggestSupport=new s.SuggestSupport(this,{triggerCharacters:["."],excludeTokens:["string","comment","number"],sortBy:[{type:"reference",partSeparator:"/"}],suggest:function(e,t){return a.suggest(e,t)},getSuggestionDetails:function(e,t,n){return a.getSuggestionDetails(e,t,n)}})}return __extends(o,t),o.prototype.asyncCtor=function(){var t=this;return this._threadService.isInMainThread?n.Promise.as(this):new n.Promise(function(n){e(["vs/languages/typescript/common/typescriptWorker2"],function(){n(t)})})},o.prototype._getProjectResolver=function(){return a.Extensions.getProjectResolver()||a.Defaults.ProjectResolver},o.prototype._shouldBeValidated=function(e){return e.getMode()===this||/\.(d\.ts|js)$/.test(e.getAssociatedResource().fsPath)},o.prototype._worker=function(e){return t.prototype._worker.call(this,e)},o.prototype.getCommentsConfiguration=function(){return{lineCommentTokens:["//"],blockCommentStartToken:"/*",blockCommentEndToken:"*/"}},o.prototype.getWordDefinition=function(){return o.JS_WORD_DEFINITION},Object.defineProperty(o.prototype,"filter",{get:function(){return["identifier.js","string.js"]},enumerable:!0,configurable:!0}),o.JS_WORD_DEFINITION=c.createWordRegExp("$"),o}(o.TypeScriptMode);t.JSMode=d});