/*---------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/
/*! Microsoft grants you the right to use these JavaScript and CSS files for the sole purpose of either: 
(i) interacting through your browser with the Microsoft website, subject to the website’s terms of use; 
or (ii) using the files as included with a Microsoft product subject to that product’s license terms. 
Microsoft reserves all other rights to the files not expressly granted by Microsoft, whether by implication, 
estoppel or otherwise. The notices and licenses below are for informational purposes only.
*/
/**
 * marked - a markdown parser
 * Copyright (c) 2011-2014, Christopher Jeffrey. (MIT Licensed)
 * https://github.com/chjj/marked
 */
function Lexer(e){this.tokens=[],this.tokens.links={},this.options=e||marked.defaults,this.rules=block.normal,this.options.gfm&&(this.rules=this.options.tables?block.tables:block.gfm)}function InlineLexer(e,t){if(this.options=t||marked.defaults,this.links=e,this.rules=inline.normal,this.renderer=this.options.renderer||new Renderer,this.renderer.options=this.options,!this.links)throw new Error("Tokens array requires a `links` property.");this.options.gfm?this.rules=this.options.breaks?inline.breaks:inline.gfm:this.options.pedantic&&(this.rules=inline.pedantic)}function Renderer(e){this.options=e||{}}function Parser(e){this.tokens=[],this.token=null,this.options=e||marked.defaults,this.options.renderer=this.options.renderer||new Renderer,this.renderer=this.options.renderer,this.renderer.options=this.options}function escape(e,t){return e.replace(t?/&/g:/&(?!#?\w+;)/g,"&amp;").replace(/</g,"&lt;").replace(/>/g,"&gt;").replace(/"/g,"&quot;").replace(/'/g,"&#39;")}function unescape(e){return e.replace(/&([#\w]+);/g,function(e,t){return t=t.toLowerCase(),"colon"===t?":":"#"===t.charAt(0)?"x"===t.charAt(1)?String.fromCharCode(parseInt(t.substring(2),16)):String.fromCharCode(+t.substring(1)):""})}function replace(e,t){return e=e.source,t=t||"",function n(r,o){return r?(o=o.source||o,o=o.replace(/(^|[^\[])\^/g,"$1"),e=e.replace(r,o),n):new RegExp(e,t)}}function noop(){}function merge(e){for(var t,n,r=1;r<arguments.length;r++){t=arguments[r];for(n in t)Object.prototype.hasOwnProperty.call(t,n)&&(e[n]=t[n])}return e}function marked(e,t,n){if(n||"function"==typeof t){n||(n=t,t=null),t=merge({},marked.defaults,t||{});var r,o,i=t.highlight,s=0;try{r=Lexer.lex(e,t)}catch(a){return n(a)}o=r.length;var c=function(e){if(e)return t.highlight=i,n(e);var o;try{o=Parser.parse(r,t)}catch(s){e=s}return t.highlight=i,e?n(e):n(null,o)};if(!i||i.length<3)return c();if(delete t.highlight,!o)return c();for(;s<r.length;s++)!function(e){return"code"!==e.type?--o||c():i(e.text,e.lang,function(t,n){return t?c(t):null==n||n===e.text?--o||c():(e.text=n,e.escaped=!0,--o||c(),void 0)})}(r[s])}else try{return t&&(t=merge({},marked.defaults,t)),Parser.parse(Lexer.lex(e,t),t)}catch(a){if(a.message+="\nPlease report this to https://github.com/chjj/marked.",(t||marked.defaults).silent)return"<p>An error occured:</p><pre>"+escape(a.message+"",!0)+"</pre>";throw a}}var block={newline:/^\n+/,code:/^( {4}[^\n]+\n*)+/,fences:noop,hr:/^( *[-*_]){3,} *(?:\n+|$)/,heading:/^ *(#{1,6}) *([^\n]+?) *#* *(?:\n+|$)/,nptable:noop,lheading:/^([^\n]+)\n *(=|-){2,} *(?:\n+|$)/,blockquote:/^( *>[^\n]+(\n(?!def)[^\n]+)*\n*)+/,list:/^( *)(bull) [\s\S]+?(?:hr|def|\n{2,}(?! )(?!\1bull )\n*|\s*$)/,html:/^ *(?:comment *(?:\n|\s*$)|closed *(?:\n{2,}|\s*$)|closing *(?:\n{2,}|\s*$))/,def:/^ *\[([^\]]+)\]: *<?([^\s>]+)>?(?: +["(]([^\n]+)[")])? *(?:\n+|$)/,table:noop,paragraph:/^((?:[^\n]+\n?(?!hr|heading|lheading|blockquote|tag|def))+)\n*/,text:/^[^\n]+/};block.bullet=/(?:[*+-]|\d+\.)/,block.item=/^( *)(bull) [^\n]*(?:\n(?!\1bull )[^\n]*)*/,block.item=replace(block.item,"gm")(/bull/g,block.bullet)(),block.list=replace(block.list)(/bull/g,block.bullet)("hr","\\n+(?=\\1?(?:[-*_] *){3,}(?:\\n+|$))")("def","\\n+(?="+block.def.source+")")(),block.blockquote=replace(block.blockquote)("def",block.def)(),block._tag="(?!(?:a|em|strong|small|s|cite|q|dfn|abbr|data|time|code|var|samp|kbd|sub|sup|i|b|u|mark|ruby|rt|rp|bdi|bdo|span|br|wbr|ins|del|img)\\b)\\w+(?!:/|[^\\w\\s@]*@)\\b",block.html=replace(block.html)("comment",/<!--[\s\S]*?-->/)("closed",/<(tag)[\s\S]+?<\/\1>/)("closing",/<tag(?:"[^"]*"|'[^']*'|[^'">])*?>/)(/tag/g,block._tag)(),block.paragraph=replace(block.paragraph)("hr",block.hr)("heading",block.heading)("lheading",block.lheading)("blockquote",block.blockquote)("tag","<"+block._tag)("def",block.def)(),block.normal=merge({},block),block.gfm=merge({},block.normal,{fences:/^ *(`{3,}|~{3,}) *(\S+)? *\n([\s\S]+?)\s*\1 *(?:\n+|$)/,paragraph:/^/}),block.gfm.paragraph=replace(block.paragraph)("(?!","(?!"+block.gfm.fences.source.replace("\\1","\\2")+"|"+block.list.source.replace("\\1","\\3")+"|")(),block.tables=merge({},block.gfm,{nptable:/^ *(\S.*\|.*)\n *([-:]+ *\|[-| :]*)\n((?:.*\|.*(?:\n|$))*)\n*/,table:/^ *\|(.+)\n *\|( *[-:]+[-| :]*)\n((?: *\|.*(?:\n|$))*)\n*/}),Lexer.rules=block,Lexer.lex=function(e,t){var n=new Lexer(t);return n.lex(e)},Lexer.prototype.lex=function(e){return e=e.replace(/\r\n|\r/g,"\n").replace(/\t/g,"    ").replace(/\u00a0/g," ").replace(/\u2424/g,"\n"),this.token(e,!0)},Lexer.prototype.token=function(e,t,n){for(var r,o,i,s,a,c,l,u,d,e=e.replace(/^ +$/gm,"");e;)if((i=this.rules.newline.exec(e))&&(e=e.substring(i[0].length),i[0].length>1&&this.tokens.push({type:"space"})),i=this.rules.code.exec(e))e=e.substring(i[0].length),i=i[0].replace(/^ {4}/gm,""),this.tokens.push({type:"code",text:this.options.pedantic?i:i.replace(/\n+$/,"")});else if(i=this.rules.fences.exec(e))e=e.substring(i[0].length),this.tokens.push({type:"code",lang:i[2],text:i[3]});else if(i=this.rules.heading.exec(e))e=e.substring(i[0].length),this.tokens.push({type:"heading",depth:i[1].length,text:i[2]});else if(t&&(i=this.rules.nptable.exec(e))){for(e=e.substring(i[0].length),c={type:"table",header:i[1].replace(/^ *| *\| *$/g,"").split(/ *\| */),align:i[2].replace(/^ *|\| *$/g,"").split(/ *\| */),cells:i[3].replace(/\n$/,"").split("\n")},u=0;u<c.align.length;u++)c.align[u]=/^ *-+: *$/.test(c.align[u])?"right":/^ *:-+: *$/.test(c.align[u])?"center":/^ *:-+ *$/.test(c.align[u])?"left":null;for(u=0;u<c.cells.length;u++)c.cells[u]=c.cells[u].split(/ *\| */);this.tokens.push(c)}else if(i=this.rules.lheading.exec(e))e=e.substring(i[0].length),this.tokens.push({type:"heading",depth:"="===i[2]?1:2,text:i[1]});else if(i=this.rules.hr.exec(e))e=e.substring(i[0].length),this.tokens.push({type:"hr"});else if(i=this.rules.blockquote.exec(e))e=e.substring(i[0].length),this.tokens.push({type:"blockquote_start"}),i=i[0].replace(/^ *> ?/gm,""),this.token(i,t,!0),this.tokens.push({type:"blockquote_end"});else if(i=this.rules.list.exec(e)){for(e=e.substring(i[0].length),s=i[2],this.tokens.push({type:"list_start",ordered:s.length>1}),i=i[0].match(this.rules.item),r=!1,d=i.length,u=0;d>u;u++)c=i[u],l=c.length,c=c.replace(/^ *([*+-]|\d+\.) +/,""),~c.indexOf("\n ")&&(l-=c.length,c=this.options.pedantic?c.replace(/^ {1,4}/gm,""):c.replace(new RegExp("^ {1,"+l+"}","gm"),"")),this.options.smartLists&&u!==d-1&&(a=block.bullet.exec(i[u+1])[0],s===a||s.length>1&&a.length>1||(e=i.slice(u+1).join("\n")+e,u=d-1)),o=r||/\n\n(?!\s*$)/.test(c),u!==d-1&&(r="\n"===c.charAt(c.length-1),o||(o=r)),this.tokens.push({type:o?"loose_item_start":"list_item_start"}),this.token(c,!1,n),this.tokens.push({type:"list_item_end"});this.tokens.push({type:"list_end"})}else if(i=this.rules.html.exec(e))e=e.substring(i[0].length),this.tokens.push({type:this.options.sanitize?"paragraph":"html",pre:"pre"===i[1]||"script"===i[1]||"style"===i[1],text:i[0]});else if(!n&&t&&(i=this.rules.def.exec(e)))e=e.substring(i[0].length),this.tokens.links[i[1].toLowerCase()]={href:i[2],title:i[3]};else if(t&&(i=this.rules.table.exec(e))){for(e=e.substring(i[0].length),c={type:"table",header:i[1].replace(/^ *| *\| *$/g,"").split(/ *\| */),align:i[2].replace(/^ *|\| *$/g,"").split(/ *\| */),cells:i[3].replace(/(?: *\| *)?\n$/,"").split("\n")},u=0;u<c.align.length;u++)c.align[u]=/^ *-+: *$/.test(c.align[u])?"right":/^ *:-+: *$/.test(c.align[u])?"center":/^ *:-+ *$/.test(c.align[u])?"left":null;for(u=0;u<c.cells.length;u++)c.cells[u]=c.cells[u].replace(/^ *\| *| *\| *$/g,"").split(/ *\| */);this.tokens.push(c)}else if(t&&(i=this.rules.paragraph.exec(e)))e=e.substring(i[0].length),this.tokens.push({type:"paragraph",text:"\n"===i[1].charAt(i[1].length-1)?i[1].slice(0,-1):i[1]});else if(i=this.rules.text.exec(e))e=e.substring(i[0].length),this.tokens.push({type:"text",text:i[0]});else if(e)throw new Error("Infinite loop on byte: "+e.charCodeAt(0));return this.tokens};var inline={escape:/^\\([\\`*{}\[\]()#+\-.!_>])/,autolink:/^<([^ >]+(@|:\/)[^ >]+)>/,url:noop,tag:/^<!--[\s\S]*?-->|^<\/?\w+(?:"[^"]*"|'[^']*'|[^'">])*?>/,link:/^!?\[(inside)\]\(href\)/,reflink:/^!?\[(inside)\]\s*\[([^\]]*)\]/,nolink:/^!?\[((?:\[[^\]]*\]|[^\[\]])*)\]/,strong:/^__([\s\S]+?)__(?!_)|^\*\*([\s\S]+?)\*\*(?!\*)/,em:/^\b_((?:__|[\s\S])+?)_\b|^\*((?:\*\*|[\s\S])+?)\*(?!\*)/,code:/^(`+)\s*([\s\S]*?[^`])\s*\1(?!`)/,br:/^ {2,}\n(?!\s*$)/,del:noop,text:/^[\s\S]+?(?=[\\<!\[_*`]| {2,}\n|$)/};inline._inside=/(?:\[[^\]]*\]|[^\[\]]|\](?=[^\[]*\]))*/,inline._href=/\s*<?([\s\S]*?)>?(?:\s+['"]([\s\S]*?)['"])?\s*/,inline.link=replace(inline.link)("inside",inline._inside)("href",inline._href)(),inline.reflink=replace(inline.reflink)("inside",inline._inside)(),inline.normal=merge({},inline),inline.pedantic=merge({},inline.normal,{strong:/^__(?=\S)([\s\S]*?\S)__(?!_)|^\*\*(?=\S)([\s\S]*?\S)\*\*(?!\*)/,em:/^_(?=\S)([\s\S]*?\S)_(?!_)|^\*(?=\S)([\s\S]*?\S)\*(?!\*)/}),inline.gfm=merge({},inline.normal,{escape:replace(inline.escape)("])","~|])")(),url:/^(https?:\/\/[^\s<]+[^<.,:;"')\]\s])/,del:/^~~(?=\S)([\s\S]*?\S)~~/,text:replace(inline.text)("]|","~]|")("|","|https?://|")()}),inline.breaks=merge({},inline.gfm,{br:replace(inline.br)("{2,}","*")(),text:replace(inline.gfm.text)("{2,}","*")()}),InlineLexer.rules=inline,InlineLexer.output=function(e,t,n){var r=new InlineLexer(t,n);return r.output(e)},InlineLexer.prototype.output=function(e){for(var t,n,r,o,i="";e;)if(o=this.rules.escape.exec(e))e=e.substring(o[0].length),i+=o[1];else if(o=this.rules.autolink.exec(e))e=e.substring(o[0].length),"@"===o[2]?(n=":"===o[1].charAt(6)?this.mangle(o[1].substring(7)):this.mangle(o[1]),r=this.mangle("mailto:")+n):(n=escape(o[1]),r=n),i+=this.renderer.link(r,null,n);else if(this.inLink||!(o=this.rules.url.exec(e))){if(o=this.rules.tag.exec(e))!this.inLink&&/^<a /i.test(o[0])?this.inLink=!0:this.inLink&&/^<\/a>/i.test(o[0])&&(this.inLink=!1),e=e.substring(o[0].length),i+=this.options.sanitize?escape(o[0]):o[0];else if(o=this.rules.link.exec(e))e=e.substring(o[0].length),this.inLink=!0,i+=this.outputLink(o,{href:o[2],title:o[3]}),this.inLink=!1;else if((o=this.rules.reflink.exec(e))||(o=this.rules.nolink.exec(e))){if(e=e.substring(o[0].length),t=(o[2]||o[1]).replace(/\s+/g," "),t=this.links[t.toLowerCase()],!t||!t.href){i+=o[0].charAt(0),e=o[0].substring(1)+e;continue}this.inLink=!0,i+=this.outputLink(o,t),this.inLink=!1}else if(o=this.rules.strong.exec(e))e=e.substring(o[0].length),i+=this.renderer.strong(this.output(o[2]||o[1]));else if(o=this.rules.em.exec(e))e=e.substring(o[0].length),i+=this.renderer.em(this.output(o[2]||o[1]));else if(o=this.rules.code.exec(e))e=e.substring(o[0].length),i+=this.renderer.codespan(escape(o[2],!0));else if(o=this.rules.br.exec(e))e=e.substring(o[0].length),i+=this.renderer.br();else if(o=this.rules.del.exec(e))e=e.substring(o[0].length),i+=this.renderer.del(this.output(o[1]));else if(o=this.rules.text.exec(e))e=e.substring(o[0].length),i+=escape(this.smartypants(o[0]));else if(e)throw new Error("Infinite loop on byte: "+e.charCodeAt(0))}else e=e.substring(o[0].length),n=escape(o[1]),r=n,i+=this.renderer.link(r,null,n);return i},InlineLexer.prototype.outputLink=function(e,t){var n=escape(t.href),r=t.title?escape(t.title):null;return"!"!==e[0].charAt(0)?this.renderer.link(n,r,this.output(e[1])):this.renderer.image(n,r,escape(e[1]))},InlineLexer.prototype.smartypants=function(e){return e},InlineLexer.prototype.mangle=function(e){for(var t,n="",r=e.length,o=0;r>o;o++)t=e.charCodeAt(o),Math.random()>.5&&(t="x"+t.toString(16)),n+="&#"+t+";";return n},Renderer.prototype.code=function(e,t,n){if(this.options.highlight){var r=this.options.highlight(e,t);null!=r&&r!==e&&(n=!0,e=r)}return t?'<pre><code class="'+this.options.langPrefix+escape(t,!0)+'">'+(n?e:escape(e,!0))+"\n</code></pre>\n":"<pre><code>"+(n?e:escape(e,!0))+"\n</code></pre>"},Renderer.prototype.blockquote=function(e){return"<blockquote>\n"+e+"</blockquote>\n"},Renderer.prototype.html=function(e){return e},Renderer.prototype.heading=function(e,t,n){return"<h"+t+' id="'+this.options.headerPrefix+n.toLowerCase().replace(/[^\w]+/g,"-")+'">'+e+"</h"+t+">\n"},Renderer.prototype.hr=function(){return this.options.xhtml?"<hr/>\n":"<hr>\n"},Renderer.prototype.list=function(e,t){var n=t?"ol":"ul";return"<"+n+">\n"+e+"</"+n+">\n"},Renderer.prototype.listitem=function(e){return"<li>"+e+"</li>\n"},Renderer.prototype.paragraph=function(e){return"<p>"+e+"</p>\n"},Renderer.prototype.table=function(e,t){return"<table>\n<thead>\n"+e+"</thead>\n<tbody>\n"+t+"</tbody>\n</table>\n"},Renderer.prototype.tablerow=function(e){return"<tr>\n"+e+"</tr>\n"},Renderer.prototype.tablecell=function(e,t){var n=t.header?"th":"td",r=t.align?"<"+n+' style="text-align:'+t.align+'">':"<"+n+">";return r+e+"</"+n+">\n"},Renderer.prototype.strong=function(e){return"<strong>"+e+"</strong>"},Renderer.prototype.em=function(e){return"<em>"+e+"</em>"},Renderer.prototype.codespan=function(e){return"<code>"+e+"</code>"},Renderer.prototype.br=function(){return this.options.xhtml?"<br/>":"<br>"},Renderer.prototype.del=function(e){return"<del>"+e+"</del>"},Renderer.prototype.link=function(e,t,n){if(this.options.sanitize){try{var r=decodeURIComponent(unescape(e)).replace(/[^\w:]/g,"").toLowerCase()}catch(o){return""}if(0===r.indexOf("javascript:"))return""}var i='<a href="'+e+'"';return t&&(i+=' title="'+t+'"'),i+=">"+n+"</a>"},Renderer.prototype.image=function(e,t,n){var r='<img src="'+e+'" alt="'+n+'"';return t&&(r+=' title="'+t+'"'),r+=this.options.xhtml?"/>":">"},Parser.parse=function(e,t,n){var r=new Parser(t,n);return r.parse(e)},Parser.prototype.parse=function(e){this.inline=new InlineLexer(e.links,this.options,this.renderer),this.tokens=e.reverse();for(var t="";this.next();)t+=this.tok();return t},Parser.prototype.next=function(){return this.token=this.tokens.pop()},Parser.prototype.peek=function(){return this.tokens[this.tokens.length-1]||0},Parser.prototype.parseText=function(){for(var e=this.token.text;"text"===this.peek().type;)e+="\n"+this.next().text;return this.inline.output(e)},Parser.prototype.tok=function(){switch(this.token.type){case"space":return"";case"hr":return this.renderer.hr();case"heading":return this.renderer.heading(this.inline.output(this.token.text),this.token.depth,this.token.text);case"code":return this.renderer.code(this.token.text,this.token.lang,this.token.escaped);case"table":var e,t,n,r,o,i="",s="";for(n="",e=0;e<this.token.header.length;e++)r={header:!0,align:this.token.align[e]},n+=this.renderer.tablecell(this.inline.output(this.token.header[e]),{header:!0,align:this.token.align[e]});for(i+=this.renderer.tablerow(n),e=0;e<this.token.cells.length;e++){for(t=this.token.cells[e],n="",o=0;o<t.length;o++)n+=this.renderer.tablecell(this.inline.output(t[o]),{header:!1,align:this.token.align[o]});s+=this.renderer.tablerow(n)}return this.renderer.table(i,s);case"blockquote_start":for(var s="";"blockquote_end"!==this.next().type;)s+=this.tok();return this.renderer.blockquote(s);case"list_start":for(var s="",a=this.token.ordered;"list_end"!==this.next().type;)s+=this.tok();return this.renderer.list(s,a);case"list_item_start":for(var s="";"list_item_end"!==this.next().type;)s+="text"===this.token.type?this.parseText():this.tok();return this.renderer.listitem(s);case"loose_item_start":for(var s="";"list_item_end"!==this.next().type;)s+=this.tok();return this.renderer.listitem(s);case"html":var c=this.token.pre||this.options.pedantic?this.token.text:this.inline.output(this.token.text);return this.renderer.html(c);case"paragraph":return this.renderer.paragraph(this.inline.output(this.token.text));case"text":return this.renderer.paragraph(this.parseText())}},noop.exec=noop,marked.options=marked.setOptions=function(e){return merge(marked.defaults,e),marked},marked.defaults={gfm:!0,tables:!0,breaks:!1,pedantic:!1,sanitize:!1,smartLists:!1,silent:!1,highlight:null,langPrefix:"lang-",smartypants:!1,headerPrefix:"",renderer:new Renderer,xhtml:!1},marked.Parser=Parser,marked.parser=Parser.parse,marked.Renderer=Renderer,marked.Lexer=Lexer,marked.lexer=Lexer.lex,marked.InlineLexer=InlineLexer,marked.inlineLexer=InlineLexer.output,marked.parse=marked,this.marked=marked,define("vs/languages/markdown/common/raw.marked",[],function(){return this.marked}),require.config({shim:{"vs/languages/markdown/common/raw.marked":{exports:function(){return this.marked}}}}),define("vs/languages/markdown/common/marked",["./raw.marked"],function(e){return{marked:e}}),define("vs/editor/common/modes/textToHtmlTokenizer",["require","exports","vs/base/common/strings","vs/editor/common/modes/nullMode"],function(e,t,n,r){function o(e,t){return a(e,s(t))}function i(e,t,n){return c(e,s(t),n)}function s(e){return e&&e.tokenizationSupport?e.tokenizationSupport:{shouldGenerateEmbeddedModels:!1,getInitialState:function(){return new r.NullState(null,null)},tokenize:function(e,t,n,o){return void 0===n&&(n=0),r.nullTokenize(null,e,t,n,o)}}}function a(e,t){var n={tagName:"div",style:"white-space: pre",children:[]},r=function(e,t){n.children.push({tagName:"span",className:e,text:t})},o=function(){n.children.push({tagName:"br"})};return l(e,t,r,o),n}function c(e,t,r){void 0===r&&(r=""),r&&r.length>0&&(r=" "+r);var o="",i=function(e,t){o+='<span class="'+e+r+'">'+n.escape(t)+"</span>"},s=function(){o+="<br/>"};return o='<div style="white-space: pre;">',l(e,t,i,s),o+="</div>"}function l(e,t,n,r){for(var o=e.split(/\r\n|\r|\n/),i=t.getInitialState(),s=0;s<o.length;s++)i=u(o[s],t,n,i),s<o.length-1&&r()}function u(e,t,n,r){for(var o,i=t.tokenize(e,r),s=i.endState,a=i.tokens,c=0,l=0;l<a.length;l++){var u=a[l];l<a.length-1?(o=e.substring(c,a[l+1].startIndex),c=a[l+1].startIndex):o=e.substr(c);var d="token",h=u.type.replace(/[^a-z0-9\-]/gi," ");h.length>0&&(d+=" "+h),n(d,o)}return s}t.tokenizeToHtmlContent=o,t.tokenizeToString=i});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var r in t)t.hasOwnProperty(r)&&(e[r]=t[r]);n.prototype=t.prototype,e.prototype=new n};define("vs/languages/markdown/common/markdownWorker",["require","exports","vs/base/common/winjs.base","vs/editor/common/modes/abstractModeWorker","vs/base/common/network","vs/base/common/types","vs/base/common/strings","vs/base/common/paths","vs/languages/markdown/common/marked","vs/editor/common/modes/modesRegistry","vs/editor/common/modes/textToHtmlTokenizer","vs/platform/platform"],function(e,t,n,r,o,i,s,a,c,l,u,d){var h;!function(e){e[e.LIGHT=0]="LIGHT",e[e.DARK=1]="DARK",e[e.HC_BLACK=2]="HC_BLACK"}(h||(h={}));var p=function(e){function t(t,n,r){e.call(this,t,n,r),this.theme=h.DARK,this.modeService=t.modeService}return __extends(t,e),t.prototype._doConfigure=function(e){return e&&e.theme&&(this.theme="vs-dark"===e.theme?h.DARK:"vs"===e.theme?h.LIGHT:h.HC_BLACK),e&&i.isArray(e.styles)&&(this.cssLinks=e.styles),n.TPromise.as(!1)},t.prototype.getEmitOutput=function(e,r){var o=this,i=this.resourceService.get(e),s=this.cssLinks||[],a=new c.marked.Renderer,p=this;a.image=function(t,n,o){var i='<img src="'+p.fixHref(e,t,r)+'" alt="'+o+'"';return n&&(i+=' title="'+n+'"'),i+=this.options&&this.options.xhtml?"/>":">"};var m=a.link;a.link=function(e,t,n){var r=m.call(this,e,t,n);return r=e&&"#"===e[0]?r.replace("href=","localhref="):r.replace("<a",'<a target="_blank"')};var f=this.modeService,g=function(e,n,r){var o=d.Registry.as(l.Extensions.EditorModes),i=o.getModeIdForLanguageName(n)||n||t.DEFAULT_MODE;f.getOrCreateMode(i).then(function(t){r(null,u.tokenizeToString(e,t,"monaco-markdown"))})};return new n.Promise(function(n){c.marked(i.getValue(),{gfm:!0,renderer:a,highlight:g},function(i,a){var c=["<!DOCTYPE html>","<html>","<head>",'<base href="'+r+'" />','<meta http-equiv="Content-type" content="text/html;charset=UTF-8">',o.theme===h.LIGHT?t.LIGHT_SCROLLBAR_CSS:o.theme===h.DARK?t.DARK_SCROLLBAR_CSS:t.HC_BLACK_SCROLLBAR_CSS,0===s.length?t.DEFAULT_CSS:"",s.map(function(t){return'<link rel="stylesheet" href="'+o.fixHref(e,t,r)+'" type="text/css" media="screen">'}).join("\n"),'<style type="text/css">'+t.LANGUAGE_TOKENS_CSS+"</style>","</head>","<body>"].join("\n"),l=[o.theme===h.LIGHT?'<div class="vs">':o.theme===h.DARK?'<div class="vs-dark">':'<div class="hc-black">',a,"</div>"].join("\n"),u=["</body>","</html>"].join("\n");n({head:c,body:l,tail:u})})})},t.prototype.fixHref=function(e,t,n){if(t){var r=new o.URL(t);if(!r.getScheme()){var i=t;if(i=s.replaceAll(i,"\\","/"),"/"===i[0])return a.join(n,i);var c=e.getPath();return a.join(a.dirname(c),i)}}return t},t.DEFAULT_MODE="text/plain",t.DEFAULT_CSS=['<style type="text/css">',"	body {",'		font-family: "Segoe WPC", "Segoe UI", "SFUIText-Light", "HelveticaNeue-Light", sans-serif, "Droid Sans Fallback";',"		padding-left: 12px;","	}","","	a {","		color: #4080D0;"," 		text-decoration: none;"," 	}","","	a:hover {","		color: #4080D0;","		text-decoration: underline;","	}","","	.vs-dark {","		color: #DDD;","		background-color: #1E1E1E;","	}","","	.hc-black {","		color: white;","		background-color: black;","	}","</style>"].join("\n"),t.LIGHT_SCROLLBAR_CSS=['<style type="text/css">',"	::-webkit-scrollbar {","		width: 14px;","		height: 14px;","		background-color: #F5F5F5;","	}","","	::-webkit-scrollbar-track {","		background-color: white;","	}","","	::-webkit-scrollbar-thumb {","		background-color: rgba(100, 100, 100, 0.4);","	}","","	::-webkit-scrollbar-thumb:hover {","		background-color: rgba(100, 100, 100, 0.7);","	}","","	::-webkit-scrollbar-thumb:active {","		background-color: rgba(0, 0, 0, 0.6);","	}","","	::-webkit-scrollbar-corner {","		background-color: white;","	}","</style>"].join("\n"),t.DARK_SCROLLBAR_CSS=['<style type="text/css">',"	::-webkit-scrollbar {","		width: 14px;","		height: 14px;","		background-color: #1E1E1E;","	}","","	::-webkit-scrollbar-track {","		background-color: #1E1E1E;","	}","","	::-webkit-scrollbar-thumb {","		background-color: rgba(121, 121, 121, 0.4);","	}","","	::-webkit-scrollbar-thumb:hover {","		background-color: rgba(100, 100, 100, 0.7);","	}","","	::-webkit-scrollbar-thumb:active {","		background-color: rgba(85, 85, 85, 0.8);","	}","","	::-webkit-scrollbar-corner {","		background-color: #1E1E1E;","	}","</style>"].join("\n"),t.HC_BLACK_SCROLLBAR_CSS=['<style type="text/css">',"	::-webkit-scrollbar {","		width: 14px;","		height: 14px;","		background-color: black;","	}","","	::-webkit-scrollbar-track {","		background-color: black;","	}","","	::-webkit-scrollbar-thumb {","		background-color: rgba(111, 195, 223, 0.3);","	}","","	::-webkit-scrollbar-thumb:hover {","		background-color: rgba(111, 195, 223, 0.4);","	}","","	::-webkit-scrollbar-thumb:active {","		background-color: rgba(111, 195, 223, 0.4);","	}","","	::-webkit-scrollbar-corner {","		background-color: black;","	}","</style>"].join("\n"),t.LANGUAGE_TOKENS_CSS=[" code,",'.monaco-markdown									{ font-family: Monaco, Menlo, Consolas, "Droid Sans Mono", "Inconsolata", "Courier New", monospace, "Droid Sans Fallback"; font-size: 14px; }',".monaco-markdown.token								{ color: #000000; }",".monaco-markdown.token.whitespace					{ color: rgba(51, 51, 51, 0.2) !important; }",".monaco-markdown.token.terminal					{ color: #e00000; }",".monaco-markdown.token.terminal.code1				{ font-weight: bold; }",".monaco-markdown.token.variable					{ color: #001188; }",".monaco-markdown.token.variable.predefined			{ color: #4864AA; }",".monaco-markdown.token.constant					{ color: #dd0000; }",".monaco-markdown.token.string						{ color: #A31515; }",".monaco-markdown.token.string.escape				{ color: #A31515; }",".monaco-markdown.token.comment						{ color: #008000; }",".monaco-markdown.token.comment.shebang				{ color: #929292; }",".monaco-markdown.token.literal						{ color: #e00000; }",".monaco-markdown.token.literal.hex					{ color: #e07000; }",".monaco-markdown.token.number						{ color: #09885A; }",".monaco-markdown.token.number.hex					{ color: #3030c0; }",".monaco-markdown.token.number.octal				{ color: #204070; }",".monaco-markdown.token.number.binary				{ color: #e07070; }",".monaco-markdown.token.regexp						{ color: #800000; }",".monaco-markdown.token.delimiter					{ color: #008080; }",".monaco-markdown.token.tag							{ color: #800000; }",".monaco-markdown.token.metatag						{ color: #e00000; }",".monaco-markdown.token.annotation					{ color: gray; }",".monaco-markdown.token.key							{ color: #863B00; }",".monaco-markdown.token.attribute.name				{ color: red; }",".monaco-markdown.token.attribute.value				{ color: #0451A5; }",".monaco-markdown.token.info-token					{ color: #316bcd; }",".monaco-markdown.token.warn-token					{ color: #cd9731; }",".monaco-markdown.token.error-token					{ color: #cd3131; }",".monaco-markdown.token.debug-token					{ color: purple; }",".monaco-markdown.token.keyword						{ color: #0000FF; }",".monaco-markdown.token.keyword.flow				{ color: #AF00DB; }",".monaco-markdown.token.metatag.php					{ font-weight: bold; }",".monaco-markdown.token.predefined.ruby          	{ color: #0000FF; }",".monaco-markdown.token.emphasis       				{ font-style: italic;}",".monaco-markdown.token.strong         				{ font-weight: bold; }",".monaco-markdown.token.header         				{ color: navy ;}",".monaco-markdown.token.string.key					{ color: #A31515; }",".monaco-markdown.token.string.value				{ color: #0451A5; }",".monaco-markdown.token.string.yaml					{ color: #0451A5; }",".monaco-markdown.token.type						{ color: #008080; }",".monaco-markdown.token.identifier.method			{ color: #e07000; }",".monaco-markdown.token.string.sql					{ color: #FF0000; }",".monaco-markdown.token.predefined.sql				{ color: #FF00FF; }",".monaco-markdown.token.operator.sql					{ color: #778899; }",".vs .monaco-markdown.token.delimiter						{ color: #000000; }",".vs .monaco-markdown.token.literal							{ color: #000000; }",".vs .monaco-markdown.token.literal.string					{ color: #A31515; }",".vs .monaco-markdown.token.delimiter.html					{ color: #383838; }",".vs .monaco-markdown.token.metatag.content.html			{ color: red; }",".vs .monaco-markdown.token.metatag.html					{ color: gray; }",".vs .monaco-markdown.token.tag.html						{ color: #800000; }",".vs .monaco-markdown.token.attribute.name.html				{ color: red; }",".vs .monaco-markdown.token.attribute.value.html			{ color: blue; }",".vs .monaco-markdown.token.delimiter.xml					{ color: blue; }",".vs .monaco-markdown.token.metatag.content.xml				{ color: red; }",".vs .monaco-markdown.token.metatag.xml						{ color: gray; }",".vs .monaco-markdown.token.tag.xml							{ color: #800000; }",".vs .monaco-markdown.token.attribute.name.xml				{ color: red; }",".vs .monaco-markdown.token.attribute.value.xml				{ color: blue; }",".vs .monaco-markdown.token.constant.php					{ color: #dd0000; }",".vs .monaco-markdown.token.block.php						{ color: green; }",".vs .monaco-markdown.token.variable.predefined.php			{ color: #ff8888; }",".vs .monaco-markdown.token.entity.ts						{ color: black; }",".vs .monaco-markdown.token.vs								{ color: #006400; }",".vs .monaco-markdown.token.comment.vs						{ color: #aeb9ae; }",".vs .monaco-markdown.token.tag.vs							{ color: #aeb9ae; }",".vs .monaco-markdown.token.attribute.name.vs				{ color: #aeb9ae; }",".vs .monaco-markdown.token.attribute.value.vs				{ color: #2c51cc; }",".vs .monaco-markdown.token.delimiter.vs					{ color: #708870; }",".vs .monaco-markdown.token.tag.jade						{ color: #800000; }",".vs .monaco-markdown.token.tag.id.jade,",".vs .monaco-markdown.token.tag.class.jade					{ color: #4F76AC; }",".vs .monaco-markdown.token.interpolation.jade 				{ color: magenta; }",".vs .monaco-markdown.token.interpolation.delimiter.jade 	{ color: magenta; }",".vs-dark .monaco-markdown.token							{ color: #D4D4D4; }",".vs-dark .monaco-markdown.token.whitespace					{ color: rgba(227, 228, 226, 0.16) !important; }",".vs-dark .monaco-markdown.token.comment					{ color: #929292; }",".vs-dark .monaco-markdown.token.comment.doc				{ color: #608B4E; }",".vs-dark .monaco-markdown.token.number						{ color: #B5CEA8; }",".vs-dark .monaco-markdown.token.number.hex					{ color: #5BB498; }",".vs-dark .monaco-markdown.token.string						{ color: #CE9178; }",".vs-dark .monaco-markdown.token.regexp						{ color: #B46695; }",".vs-dark .monaco-markdown.token.string.escape			    { color: #CE9178; }",".vs-dark .monaco-markdown.token.delimiter					{ color: #DCDCDC; }",".vs-dark .monaco-markdown.token.info-token					{ color: #6796e6; }",".vs-dark .monaco-markdown.token.warn-token					{ color: #cd9731; }",".vs-dark .monaco-markdown.token.error-token				{ color: #f44747; }",".vs-dark .monaco-markdown.token.debug-token				{ color: #b267e6; }",".vs-dark .monaco-markdown.token.terminal					{ color: #BD5050; }",".vs-dark .monaco-markdown.token.key						{ color: #9CDCFE; }",".vs-dark .monaco-markdown.token.variable					{ color: #74B0DF; }",".vs-dark .monaco-markdown.token.attribute.name				{ color: #9CDCFE; }",".vs-dark .monaco-markdown.token.attribute.value			{ color: #CE9178; }",".vs-dark .monaco-markdown.token.tag						{ color: #D7BA7D; }",".vs-dark .monaco-markdown.token.metatag					{ color: #DD6A6F; }",".vs-dark .monaco-markdown.token.annotation					{ color: #cc6666; }",".vs-dark .monaco-markdown.token.type						{ color: #3DC9B0; }",".vs-dark .monaco-markdown.token.keyword					{ color: #569CD6; }",".vs-dark .monaco-markdown.token.keyword.flow				{ color: #C586C0; }",".vs-dark .monaco-markdown.token.keyword.datatype			{ color: #569CD6; }",".vs-dark .monaco-markdown.token.tag.html					{ color: #569CD6; }",".vs-dark .monaco-markdown.token.delimiter.html				{ color: #808080; }",".vs-dark .monaco-markdown.token.metatag.content.html		{ color: #9CDCFE; }",".vs-dark .monaco-markdown.token.metatag.html				{ color: #569CD6; }",".vs-dark .monaco-markdown.token.tag.xml					{ color: #569CD6; }",".vs-dark .monaco-markdown.token.delimiter.xml				{ color: #808080; }",".vs-dark .monaco-markdown.token.metatag.content.xml		{ color: #9CDCFE; }",".vs-dark .monaco-markdown.token.metatag.xml				{ color: #569CD6; }",".vs-dark .monaco-markdown.token.attribute.name.css			{ color: #9CDCFE; }",".vs-dark .monaco-markdown.token.attribute.value.css		{ color: #C8C8C8; }",".vs-dark .monaco-markdown.token.delimiter.css				{ color: #DCDCDC; }",".vs-dark .monaco-markdown.token.vs							{ color: #608B4E; }",".vs-dark .monaco-markdown.token.tag.vs						{ color: #949494; }",".vs-dark .monaco-markdown.token.delimiter.vs				{ color: #585858; }",".vs-dark .monaco-markdown.token.attribute.name.vs			{ color: #949494; }",".vs-dark .monaco-markdown.token.attribute.value.vs			{ color: #C4C4C4; }",".vs-dark .monaco-markdown.token.tag.jade					{ color: #569CD6; }",".vs-dark .monaco-markdown.token.tag.id.jade,",".vs-dark .monaco-markdown.token.tag.class.jade				{ color: #4F76AC; }",".vs-dark .monaco-markdown.token.interpolation.jade 		{ color: magenta; }",".vs-dark .monaco-markdown.token.interpolation.delimiter.jade { color: magenta; }",".vs-dark .monaco-markdown.token.predefined.ruby           	{ color: #4E94CE; }",".vs-dark .monaco-markdown.token.string.key					{ color: #9CDCFE; }",".vs-dark .monaco-markdown.token.string.value				{ color: #CE9178; }",".vs-dark .monaco-markdown.token.string.yaml				{ color: #CE9178; }",".hc-black .monaco-markdown.token							{ color: #FFFFFF; }",".hc-black .monaco-markdown.token.whitespace				{ color: #FFFF00 !important; }",".hc-black .monaco-markdown.token.terminal					{ color: #569CD6; }",".hc-black .monaco-markdown.token.key						{ color: #9CDCFE; }",".hc-black .monaco-markdown.token.variable					{ color: #1AEBFF; }",".hc-black .monaco-markdown.token.variable.predefined		{ color: #1AEBFF; }",".hc-black .monaco-markdown.token.constant					{ color: #dd0000; }",".hc-black .monaco-markdown.token.comment					{ color: #008000; }",".hc-black .monaco-markdown.token.literal					{ color: #FFFFFF; }",".hc-black .monaco-markdown.token.literal.hex				{ color: #FFFFFF; }",".hc-black .monaco-markdown.token.number					{ color: #FFFFFF; }",".hc-black .monaco-markdown.token.number.hex				{ color: #FFFFFF; }",".hc-black .monaco-markdown.token.number.octal				{ color: #FFFFFF; }",".hc-black .monaco-markdown.token.number.binary				{ color: #FFFFFF; }",".hc-black .monaco-markdown.token.regexp					{ color: #C0C0C0; }",".hc-black .monaco-markdown.token.string					{ color: #C0C0C0; }",".hc-black .monaco-markdown.token.string.escape				{ color: #C0C0C0; }",".hc-black .monaco-markdown.token.delimiter					{ color: #FFFF00; }",".hc-black .monaco-markdown.token.info-token				{ color: #6796e6; }",".hc-black .monaco-markdown.token.warn-token				{ color: #008000; }",".hc-black .monaco-markdown.token.error-token				{ color: #FF0000; }",".hc-black .monaco-markdown.token.debug-token				{ color: #b267e6; }",".hc-black .monaco-markdown.token.attribute.name			{ color: #569CD6; }",".hc-black .monaco-markdown.token.attribute.value			{ color: #3FF23F; }",".hc-black .monaco-markdown.token.tag						{ color: #FFA500; }",".hc-black .monaco-markdown.token.metatag					{ color: #569CD6; }",".hc-black .monaco-markdown.token.annotation				{ color: #569CD6; }",".hc-black .monaco-markdown.token.keyword					{ color: #1AEBFF; }",".hc-black .monaco-markdown.token.tag.html					{ color: #1AEBFF; }",".hc-black .monaco-markdown.token.delimiter.html			{ color: #FFFF00; }",".hc-black .monaco-markdown.token.metatag.content.html			{ color: #1AEBFF; }",".hc-black .monaco-markdown.token.metatag.html					{ color: #569CD6; }",".hc-black .monaco-markdown.token.tag.xml					{ color: #1AEBFF; }",".hc-black .monaco-markdown.token.delimiter.xml				{ color: #FFFF00; }",".hc-black .monaco-markdown.token.metatag.content.xml			{ color: #1AEBFF; }",".hc-black .monaco-markdown.token.metatag.xml					{ color: #569CD6; }",".hc-black .monaco-markdown.token.attribute.name.css		{ color: #569CD6; }",".hc-black .monaco-markdown.token.attribute.value.css		{ color: #3FF23F; }",".hc-black .monaco-markdown.token.delimiter.css				{ color: #FFFF00; }",".hc-black .monaco-markdown.token.vs						{ color: #FFFFFF; }",".monaco-markdown.token										{ color: #000000; }",".monaco-markdown.token.whitespace							{ color: rgba(51, 51, 51, 0.2) !important; }",".monaco-markdown.token.builtin.function					{ color: #0000FF; }",".monaco-markdown.token.comment,",".monaco-markdown.token.comment.block,",".monaco-markdown.token.comment.block.documentation,",".monaco-markdown.token.comment.line						{ color: #008000; }",".monaco-markdown.token.constant							{ color: #dd0000; }",".monaco-markdown.token.constant.language					{ color: #0000FF; }",".monaco-markdown.token.constant.numeric					{ color: #09885A; }",".monaco-markdown.token.constant.numeric.hex				{ color: #3030c0; }",".monaco-markdown.token.constant.numeric.octal				{ color: #204070; }",".monaco-markdown.token.constant.numeric.binary				{ color: #e07070; }",".monaco-markdown.token.constant.regexp						{ color: #811f3f; }",".monaco-markdown.token.entity								{ color: #A31515; }",".monaco-markdown.token.entity.name							{ color: #A31515; }",".monaco-markdown.token.entity.name.function				{ color: #000000; }",".monaco-markdown.token.entity.name.punctuation				{ color: #000000; }",".monaco-markdown.token.entity.name.class					{ color: #2B91AF; }",".monaco-markdown.token.annotation.storage.type,",".monaco-markdown.token.heritage.storage.type				{ color: #2B91AF; }",".monaco-markdown.token.invalid								{ color: #cd3131; }",".monaco-markdown.token.markup.underline					{ text-decoration: underline;}",".monaco-markdown.token.markup.bold							{ font-weight: bold; }",".monaco-markdown.token.markup.heading						{ color: navy ;}",".monaco-markdown.token.markup.italic						{ font-style: italic;}",".monaco-markdown.token.meta								{ color: #000000; }",".monaco-markdown.token.storage.type						{ color: #0000FF; }",".monaco-markdown.token.storage.modifier					{ color: #0000FF; }",".monaco-markdown.token.annotation.storage.type,",".monaco-markdown.token.heritage.storage.type,",".monaco-markdown.token.cast.storage.type,",".monaco-markdown.token.new.storage.type					{ color: #2B91AF; }",".monaco-markdown.token.var.storage.type					{ color: #0000FF; }",".monaco-markdown.token.var.annotation.storage.type			{ color: #2B91AF; }",".monaco-markdown.token.string								{ color: #A31515; }",".monaco-markdown.token.string.quoted.variable				{ color: #001188; }",".monaco-markdown.token.string.regexp						{ color: #811f3f; }",".monaco-markdown.token.variable.parameter					{ color: #001188; }",".monaco-markdown.token.variable.language					{ color: #4864AA; }",".monaco-markdown.token.keyword								{ color: #0000FF; }",".monaco-markdown.token.keyword.control						{ color: #AF00DB; }",".monaco-markdown.token.keyword.operator					{ color: #666666; }",".monaco-markdown.token.keyword.operator.new				{ color: #0000FF; }",".vs-dark .monaco-markdown.token										{ color: #D4D4D4; }",".vs-dark .monaco-markdown.token.whitespace								{ color: rgba(227, 228, 226, 0.16) !important; }",".vs-dark .monaco-markdown.token.builtin.function						{ color: #569CD6; }",".vs-dark .monaco-markdown.token.comment,",".vs-dark .monaco-markdown.token.comment.block,",".vs-dark .monaco-markdown.token.comment.block.documentation,",".vs-dark .monaco-markdown.token.comment.line							{ color: #608B4E; }",".vs-dark .monaco-markdown.token.constant.language						{ color: #569CD6; }",".vs-dark .monaco-markdown.token.constant.numeric						{ color: #B5CEA8; }",".vs-dark .monaco-markdown.token.constant.numeric.hex					{ color: #5BB498; }",".vs-dark .monaco-markdown.token.constant.regexp						{ color: #B46695; }",".vs-dark .monaco-markdown.token.entity									{ color: #9CDCFE; }",".vs-dark .monaco-markdown.token.entity.name							{ color: #9CDCFE; }",".vs-dark .monaco-markdown.token.entity.name.function					{ color: #DCDCDC; }",".vs-dark .monaco-markdown.token.entity.name.punctuation				{ color: #DCDCDC; }",".vs-dark .monaco-markdown.token.entity.name.class						{ color: #4EC9B0; }",".vs-dark .monaco-markdown.token.invalid								{ color: #f44747; }",".vs-dark .monaco-markdown.token.markup.underline						{ text-decoration: underline;}",".vs-dark .monaco-markdown.token.markup.bold							{ font-weight: bold; }",".vs-dark .monaco-markdown.token.markup.heading							{ color: #6796e6; }",".vs-dark .monaco-markdown.token.markup.italic							{ font-style: italic;}",".vs-dark .monaco-markdown.token.meta									{ color: #D4D4D4; }",".vs-dark .monaco-markdown.token.storage.type							{ color: #569CD6; }",".vs-dark .monaco-markdown.token.storage.modifier						{ color: #569CD6; }",".vs-dark .monaco-markdown.token.annotation.storage.type,",".vs-dark .monaco-markdown.token.heritage.storage.type,",".vs-dark .monaco-markdown.token.cast.storage.type,",".vs-dark .monaco-markdown.token.new.storage.type						{ color: #4EC9B0; }",".vs-dark .monaco-markdown.token.var.storage.type						{ color: #569CD6; }",".vs-dark .monaco-markdown.token.var.annotation.storage.type			{ color: #4EC9B0; }",".vs-dark .monaco-markdown.token.string									{ color: #CE9178; }",".vs-dark .monaco-markdown.token.string.quoted.variable					{ color: #74B0DF; }",".vs-dark .monaco-markdown.token.string.regexp							{ color: #D16969; }",".vs-dark .monaco-markdown.token.variable.parameter						{ color: #9CDCFE; }",".vs-dark .monaco-markdown.token.keyword								{ color: #569CD6; }",".vs-dark .monaco-markdown.token.keyword.control						{ color: #C586C0; }",".vs-dark .monaco-markdown.token.keyword.operator						{ color: #909090; }",".vs-dark .monaco-markdown.token.keyword.operator.new					{ color: #569CD6; }",".hc-black .monaco-markdown.token								{ color: #FFFFFF; }",".hc-black .monaco-markdown.token.whitespace					{ color: rgba(227, 228, 226, 0.16) !important; }",".hc-black .monaco-markdown.token.builtin.function				{ color: #569CD6; }",".hc-black .monaco-markdown.token.comment,",".hc-black .monaco-markdown.token.comment.block,",".hc-black .monaco-markdown.token.comment.block.documentation,",".hc-black .monaco-markdown.token.comment.line					{ color: #608B4E; }",".hc-black .monaco-markdown.token.constant.language				{ color: #569CD6; }",".hc-black .monaco-markdown.token.constant.numeric				{ color: #B5CEA8; }",".hc-black .monaco-markdown.token.constant.numeric.hex			{ color: #5BB498; }",".hc-black .monaco-markdown.token.constant.regexp				{ color: #B46695; }",".hc-black .monaco-markdown.token.entity						{ color: #9CDCFE; }",".hc-black .monaco-markdown.token.entity.name					{ color: #9CDCFE; }",".hc-black .monaco-markdown.token.entity.name.function			{ color: #DCDCDC; }",".hc-black .monaco-markdown.token.entity.name.punctuation		{ color: #DCDCDC; }",".hc-black .monaco-markdown.token.entity.name.class				{ color: #4EC9B0; }",".hc-black .monaco-markdown.token.invalid						{ color: #f44747; }",".hc-black .monaco-markdown.token.markup.underline				{ text-decoration: underline;}",".hc-black .monaco-markdown.token.markup.bold					{ font-weight: bold; }",".hc-black .monaco-markdown.token.markup.heading				{ color: #6796e6; }",".hc-black .monaco-markdown.token.markup.italic					{ font-style: italic;}",".hc-black .monaco-markdown.token.meta							{ color: #D4D4D4; }",".hc-black .monaco-markdown.token.storage.type					{ color: #569CD6; }",".hc-black .monaco-markdown.token.storage.modifier				{ color: #569CD6; }",".hc-black .monaco-markdown.token.annotation.storage.type,",".hc-black .monaco-markdown.token.heritage.storage.type,",".hc-black .monaco-markdown.token.cast.storage.type,",".hc-black .monaco-markdown.token.new.storage.type				{ color: #4EC9B0; }",".hc-black .monaco-markdown.token.var.storage.type				{ color: #569CD6; }",".hc-black .monaco-markdown.token.var.annotation.storage.type	{ color: #4EC9B0; }",".hc-black .monaco-markdown.token.string						{ color: #CE9178; }",".hc-black .monaco-markdown.token.string.quoted.variable		{ color: #74B0DF; }",".hc-black .monaco-markdown.token.string.regexp					{ color: #D16969; }",".hc-black .monaco-markdown.token.variable.parameter			{ color: #9CDCFE; }",".hc-black .monaco-markdown.token.keyword						{ color: #569CD6; }",".hc-black .monaco-markdown.token.keyword.control				{ color: #C586C0; }",".hc-black .monaco-markdown.token.keyword.operator				{ color: #909090; }",".hc-black .monaco-markdown.token.keyword.operator.new			{ color: #569CD6; }"].join("\n"),t
}(r.AbstractModeWorker);t.MarkdownWorker=p});