/*---------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/
"use strict";define("vs/languages/typescript/common/typescript",["require","exports","vs/base/common/winjs.base","vs/platform/platform","vs/base/common/uri"],function(e,t,n,r,i){function s(e){return"string"==typeof e?0===e.indexOf("ts://defaultlib"):"ts"===e.scheme&&"defaultlib"===e.authority}!function(e){e[e.Changed=0]="Changed",e[e.Added=1]="Added",e[e.Removed=2]="Removed"}(t.ChangeKind||(t.ChangeKind={}));var o=t.ChangeKind;t.defaultLib=i.create("ts","defaultlib","/vs/text!vs/languages/typescript/common/lib/lib.d.ts"),t.defaultLibES6=i.create("ts","defaultlib","/vs/text!vs/languages/typescript/common/lib/lib.es6.d.ts"),t.isDefaultLib=s,t.virtualProjectResource=i.create("ts","projects","/virtual/1");var a=function(){function e(){this._needsProjectUpdate=!1,this._fileChanges=[],this._projectChange={kind:o.Changed,resource:t.virtualProjectResource,files:[],options:void 0}}return e.prototype.setConsumer=function(e){this._consumer=e},e.prototype.resolveProjects=function(){var e=[];return this._fileChanges.length&&(e.push(this._consumer.acceptFileChanges(this._fileChanges.slice(0))),this._fileChanges.length=0),this._needsProjectUpdate&&(e.push(this._consumer.acceptProjectChanges([this._projectChange])),this._needsProjectUpdate=!1),n.Promise.join(e)},e.prototype.resolveFiles=function(){return void 0},e.prototype.addExtraLib=function(e,t){var n=t?i.file(t):i.create("extralib",void 0,Date.now().toString());this._needsProjectUpdate=!0,this._projectChange.files.push(n),this._fileChanges.push({kind:o.Added,resource:n,content:e})},e.prototype.setCompilerOptions=function(e){this._needsProjectUpdate=!0,this._projectChange.options=e},e}();t.DefaultProjectResolver=a;var c;!function(e){function t(t,n){e.ProjectResolver.addExtraLib(t,n)}function n(t){e.ProjectResolver.setCompilerOptions(t)}e.ProjectResolver=new a,e.addExtraLib=t,e.setCompilerOptions=n}(c=t.Defaults||(t.Defaults={}));var l;!function(e){function t(e){i=e}function n(){return i}e.Identifier="typescript",r.Registry.add(e.Identifier,e);var i;e.setProjectResolver=t,e.getProjectResolver=n}(l=t.Extensions||(t.Extensions={}))});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var r in t)t.hasOwnProperty(r)&&(e[r]=t[r]);n.prototype=t.prototype,e.prototype=new n};define("vs/languages/typescript.workbench/common/projectResolver",["require","exports","vs/base/common/glob","vs/nls!vs/languages/typescript.workbench/common/projectResolver","vs/base/common/objects","vs/languages/typescript/common/typescript","vs/base/common/lifecycle","vs/base/common/errors","vs/base/common/collections","vs/base/common/async","vs/base/common/winjs.base","vs/base/common/severity","vs/base/common/uri","vs/base/common/paths","vs/languages/typescript/common/lib/typescriptServices","vs/platform/files/common/files","vs/platform/search/common/search"],function(e,t,n,r,i,s,o,a,c,l,u,p,h,d,m,f,g){var y,_=function(){function e(e,t,n){if(this._baseDir=e,this._baseDir=d.normalize(this._baseDir,!0),Array.isArray(t)){this._includes=[];for(var r=0;r<t.length;r++){var i=t[r];this._includes.push(d.normalize(d.join(this._baseDir,i),!0))}}if(Array.isArray(n)){this._excludes=[];for(var s=0;s<n.length;s++){var i=n[s];this._excludes.push(d.normalize(d.join(this._baseDir,i),!0))}}}return e.prototype.handleChange=function(t){for(var n=0,r=e._ignores;n<r.length;n++){var i=r[n];if(-1!==t.fsPath.indexOf(i))return!1}return this._baseDir&&0!==t.fsPath.indexOf(this._baseDir)?!1:this._includes&&this._includes.indexOf(t.fsPath)<0?!1:this._excludes&&this._excludes.some(function(e){return 0===t.fsPath.indexOf(e)})?!1:!0},e._ignores=[d.normalize("/node_modules/",!0),d.normalize("/.git/",!0),d.normalize("/bower_components/",!0),d.normalize("/tmp/",!0),d.normalize("/temp/",!0)],e}(),b=function(e){function t(){e.apply(this,arguments)}return __extends(t,e),t.prototype.handleChange=function(t){return/\.d\.ts$/.test(t.fsPath)&&e.prototype.handleChange.call(this,t)},t}(_),v=function(){function e(e,t,n){this._fileChangeEvents=[],this._projectFileEventListener=Object.create(null),this._projectPromises=Object.create(null),this._pendingFiles=Object.create(null),this._fileService=e.fileService,this._searchService=e.searchService,this._eventService=e.eventService,this._markerService=e.markerService,this._messageService=e.messageService,this._modelService=e.modelService,this._telemetryService=e.telemetryService,this._workspace=e.contextService.getWorkspace()&&e.contextService.getWorkspace().resource,this._consumer=n,this._configuration=t,this._fileChangesHandler=new l.RunOnceScheduler(this._processFileChangesEvents.bind(this),1500),this._unbindListener=this._eventService.addListener(f.EventType.FILE_CHANGES,this._onFileChangesEvent.bind(this))}return e.prototype.dispose=function(){o.cAll(this._unbindListener)},e.prototype.setConsumer=function(e){this._consumer=e},e.prototype.resolveProjects=function(){var e=this;if(this._workspace){var t=this._resolve;return t||(t=this._resolve=this._doResolve(),l.always(this._resolve,function(){return e._resolve=null})),new l.ShallowCancelThenPromise(t)}},e.prototype.resolveFiles=function(e){var t=this;if(e.length){var n=this._messageService.setStatusMessage(r.localize("vs_languages_typescript.workbench_common_projectResolver",0),void 0,250),i=this._fileService.resolveContents(e).then(function(e){var n=e.map(function(e){return{kind:s.ChangeKind.Added,content:e.value,resource:e.resource}});return t._consumer.acceptFileChanges(n).then(void 0,function(e){return t._messageService.show(p.Warning,e)})});return l.always(i,function(){return n.dispose()})}},e.prototype._doResolve=function(){var e=this,t={start:Date.now(),d:0,projects:0,files:0},n=this.projectDiscovery().then(function(){var t=[];for(var n in e._projectPromises)t.push(e._projectPromises[n]),delete e._projectPromises[n];return u.TPromise.join(t)}).then(function(n){return t.projects=n.length,n.length?e._consumer.acceptProjectChanges(n).then(function(t){e._projectsIndex=t[0]}):void 0}).then(function(){var n=[],r=[],o=i.clone(e._pendingFiles);for(var a in e._pendingFiles){var c=e._pendingFiles[a].kind,l=e._pendingFiles[a].resource;e._pendingFiles[a].kind===s.ChangeKind.Removed?r.push({kind:c,resource:l,content:void 0}):(n.push(l),t.files+=1),delete e._pendingFiles[a]}return n.length?e._fileService.resolveContents(n).then(function(t){return t.forEach(function(e){r.push({resource:e.resource,content:e.value,kind:o[e.resource.toString()].kind}),delete o[e.resource.toString()]}),e._consumer.acceptFileChanges(r).then(void 0,function(t){return e._messageService.show(p.Warning,t)})}):r.length?e._consumer.acceptFileChanges(r).then(void 0,function(t){return e._messageService.show(p.Warning,t)}):void 0}).then(function(){t.d=Date.now()-t.start});return n},e.prototype.projectDiscovery=function(){var e=this;return this._projectDiscovery||(this._projectDiscovery=this._searchResources(this._configuration.projects).then(function(t){e._resolveProject(s.virtualProjectResource,s.ChangeKind.Added);for(var n=0,r=t.resources;n<r.length;n++){var i=r[n];e._resolveProject(i,s.ChangeKind.Added)}}),this._projectDiscovery.done(void 0,function(t){e._projectDiscovery=null,console.error(t)})),this._projectDiscovery},e.prototype._searchResources=function(e,t,n,r){void 0===t&&(t=1500),void 0===n&&(n=this._workspace);var i={};i[e]=!0;var s=Object.create(null);if(s["{**/node_modules/**,**/.git/**,**/bower_components/**,**/tmp/**,**/temp**}"]=!0,Array.isArray(r))for(var o=0;o<r.length;o++){var a=r[o];s["/"+a+"/**"]=!0}return this._searchService.search({rootResources:[n],type:g.QueryType.File,maxResults:t,includePattern:i,excludePattern:s}).then(function(e){return{resources:e.results.map(function(e){return e.resource}),limitReached:e.limitHit}})},e.prototype._resolveProject=function(e,t){var n=d.dirname(e.fsPath),r=this._doResolveProject(e,t);this._projectPromises[n]=this._projectPromises[n]&&this._projectPromises[n].then(function(){return r},function(){return r})||r,r.done(void 0,function(n){a.isPromiseCanceledError(n)||console.error(e.toString(),t,n)})},e.prototype._doResolveProject=function(e,t){return e.toString()===s.virtualProjectResource.toString()?this._doResolveVirtualProject(t):this._doResolveProjectFile(e,t)},e.prototype._doResolveProjectFile=function(e,t){var n=this;if(this._markerService.remove("ts.projectResolver",[e]),t===s.ChangeKind.Removed)return delete this._projectFileEventListener[e.toString()],u.TPromise.as({kind:t,resource:e,files:void 0,options:void 0});var r={kind:t,resource:e,files:[],options:m.getDefaultCompilerOptions()},i=!1;return this._fileService.resolveContent(e).then(function(t){var s=m.parseConfigFileText(e.fsPath,t.value),o=d.dirname(e.fsPath);if(s.error)return n._markerService.changeOne("ts.projectResolver",e,[{message:s.error.messageText.toString(),code:s.error.code.toString(),severity:p.Error,startLineNumber:1,startColumn:1,endLineNumber:1,endColumn:1}]),u.TPromise.wrapError(a.canceled());if(r.options=m.parseConfigFile(s.config,{readDirectory:function(){return[]}},o).options,n._projectFileEventListener[e.toString()]=new _(o,s.config.files,s.config.exclude),!Array.isArray(s.config.files))return n._searchResources(n._configuration.files,n._configuration.maxFilesPerProject,h.file(o),s.config.exclude).then(function(e){i=e.limitReached,r.files=e.resources});var c=s.config.files.map(function(e){return d.join(o,e)}).map(function(e){return h.file(e)});r.files=c,r.files.length>n._configuration.maxFilesPerProject&&(r.files.length=n._configuration.maxFilesPerProject,i=!0)}).then(function(){return t===s.ChangeKind.Added&&(r.files.forEach(function(e){return n._pendingFiles[e.toString()]={resource:e,kind:t}}),n._telemetryService.publicLog("js.project",{compilerOptions:r.options,fileCount:r.files.length})),i&&n._telemetryService.publicLog("js.project.fileLimitReached",{maxFilesPerProject:n._configuration.maxFilesPerProject}),r})},e.prototype._doResolveVirtualProject=function(e){var t=this;return this._projectFileEventListener[s.virtualProjectResource.toString()]=new b(void 0,void 0,void 0),this._searchService.search({rootResources:[this._workspace],type:g.QueryType.File,maxResults:50,includePattern:{"**/*.d.ts":!0},excludePattern:{"{**/lib*.d.ts,**/node_modules/**,**/.git/**,**/bower_components/**,**/tmp/**,**/temp/**}":!0}}).then(function(n){for(var r=[],i=0,o=n.results;i<o.length;i++){var a=o[i];r.push(a.resource),t._pendingFiles[a.resource.toString()]={resource:a.resource,kind:e}}return{files:r,resource:s.virtualProjectResource,kind:s.ChangeKind.Changed,options:void 0}})},e.prototype._onFileChangesEvent=function(e){(t=this._fileChangeEvents).push.apply(t,e.changes),this._fileChangesHandler.schedule();var t},e.prototype._processFileChangesEvents=function(){var t=this,n=Object.create(null),r=this._fileChangeEvents.slice(0);this._fileChangeEvents.length=0;var i=!1;r.forEach(function(r){var o;if(y.match(t._configuration.projects,r.resource.fsPath))o=e._asChangeKind(r.type),c.lookupOrInsert(n,r.resource.toString(),[]).push(o),i=!0;else if(y.match(t._configuration.files,r.resource.fsPath)){if(o=e._asChangeKind(r.type),o===s.ChangeKind.Changed&&t._modelService.getModel(r.resource))return;c.forEach(t._projectFileEventListener,function(e){e.value.handleChange(r.resource)&&(t._pendingFiles[r.resource.toString()]={kind:o,resource:r.resource},i=!0,(o===s.ChangeKind.Added||o===s.ChangeKind.Removed)&&c.lookupOrInsert(n,e.key,[]).push(s.ChangeKind.Changed))})}});for(var o in n)for(var a=n[o],l=void 0,u=0;u<a.length;u++){var p=a[u];p!==l&&(l=p,this._resolveProject(h.parse(o),p))}i&&this.resolveProjects()},e._lookUpProjects=function(e,t){for(var n,r=d.dirnames(e.fsPath),i=r.next();!i.done;){var s=t[i.value];s&&(n||(n=[]),n.push(s)),i=r.next()}return n},e._asChangeKind=function(e){switch(e){case f.FileChangeType.UPDATED:return s.ChangeKind.Changed;case f.FileChangeType.ADDED:return s.ChangeKind.Added;case f.FileChangeType.DELETED:return s.ChangeKind.Removed}throw new Error("unknown change type")},e}();return function(e){function t(e,t){if("{"===e[0]&&"}"===e[e.length-1]){var n=e.substr(1,e.length-2).split(",");return n.some(function(e){return r(e,t)})}return r(e,t)}function r(e,t){var r=-1;if(0===e.indexOf(i)?r=i.length:0===e.indexOf(s)&&(r=s.length),-1===r)return n.match(e,t);var o=e.substring(r);return-1!==o.indexOf("*")?n.match(e,t):(r=t.indexOf(o),-1===r?!1:r+o.length===t.length)}var i="**/*.",s="**/";e.match=t}(y||(y={})),v});